FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 07-16-2010, 06:39 PM
Troy Telford
 
Default slapd stopped working...

I'm running sid; there was a couple of recent updates to slapd, from 2.4.21-1 to 2.4.23-1 (and then 2.4.23-2)

The config itself wasn't changed; the backup file made is the same as the current one.

However, slapd doesn't start anymore.

All I have to go on is the following:
(/var/log/auth.log):
Jul 16 12:26:53 pilot slapd[7441]: auxpropfunc error invalid parameter supplied
Jul 16 12:26:53 pilot slapd[7441]: _sasl_plugin_load failed on sasl_auxprop_plug_init for plugin: ldapdb

and the following from syslog:
syslog.0:Jul 15 23:04:29 pilot slapd[3050]: @(#) $OpenLDAP: slapd 2.4.23 (Jul 15 2010 19:20:59) $ ^Iroot@monster:/tmp/buildd/openldap-2.4.23/debian/build/servers/slapd

From what I've looked at for the auth.log, that error isn't a fatal one; slapd isn't/can't use the plugin anyway.

But it is disconcerting to have slapd stop working entirely, with zero config changes on my part.
--
Troy Telford
ttelford.groups@gmail.com


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 25249DDD-0348-49D8-A25C-21C3B83942E2@gmail.com">http://lists.debian.org/25249DDD-0348-49D8-A25C-21C3B83942E2@gmail.com
 
Old 07-16-2010, 07:22 PM
Troy Telford
 
Default slapd stopped working...

On Jul 16, 2010, at 12:39 PM, Troy Telford wrote:I'm running sid; there was a couple of recent updates to slapd, from 2.4.21-1 to 2.4.23-1 (and then 2.4.23-2)

The config itself wasn't changed; the backup file made is the same as the current one.

However, slapd doesn't start anymore.

All I have to go on is the following:
(/var/log/auth.log):
Jul 16 12:26:53 pilot slapd[7441]: auxpropfunc error invalid parameter supplied
Jul 16 12:26:53 pilot slapd[7441]: _sasl_plugin_load failed on sasl_auxprop_plug_init for plugin: ldapdb

and the following from syslog:
syslog.0:Jul 15 23:04:29 pilot slapd[3050]: @(#) $OpenLDAP: slapd 2.4.23 (Jul 15 2010 19:20:59) $ ^Iroot@monster:/tmp/buildd/openldap-2.4.23/debian/build/servers/slapd

From what I've looked at for the auth.log, that error isn't a fatal one; slapd isn't/can't use the plugin anyway.

But it is disconcerting to have slapd stop working entirely, with zero config changes on my part.


I found the solution: *it was a db version issue.
I did the following:
cd /var/lib# make a backup just in case...rsync -aP ldap ldap.orgcd ldapdb4.8_recoverdb4.8_checkpoint -1chown openldappenldap */etc/init.d/slapd start
And now ldap works again.
--Troy Telfordttelford.groups@gmail.com
 

Thread Tools




All times are GMT. The time now is 09:29 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org